/*
**  Copyright (c) 2005, 2007 Sendmail, Inc. and its suppliers.
**    All rights reserved.
*/

#ifndef _DKIM_KEYS_H_
#define _DKIM_KEYS_H_

#ifndef lint
static char dkim_keys_h_id[] = "@(#)$Id: dkim-keys.h,v 1.5 2007/04/17 06:30:48 msk Exp $";
#endif /* !lint */

/* libdkim includes */
#include "dkim.h"

#ifdef _FFR_QUERY_CACHE
/* libdb includes */
# include <db.h>
#endif /* _FFR_QUERY_CACHE */

/* definitions */
#if DKIM_QUERY_FILE
# define DKIM_TEST_KEYSFILE	"dkim-keys.txt"	/* where test keys live */
#endif /* DKIM_QUERY_FILE */

/* prototypes */
#ifdef _FFR_QUERY_CACHE
extern DKIM_STAT dkim_get_key_dns __P((DKIM *, u_char *, size_t, int *));
#else /* _FFR_QUERY_CACHE */
extern DKIM_STAT dkim_get_key_dns __P((DKIM *, u_char *, size_t));
#endif /* _FFR_QUERY_CACHE */
#if DKIM_QUERY_FILE
extern DKIM_STAT dkim_get_key_file __P((DKIM *, u_char *, size_t));
#endif /* DKIM_QUERY_FILE */

#ifdef _FFR_QUERY_CACHE
extern void dkim_cache_close __P((DB *));
extern int dkim_cache_expire __P((DB *, int, int *));
extern DB *dkim_cache_init __P((int *));
extern int dkim_cache_insert __P((DB *, char *, char *, int, int *));
extern int dkim_cache_query __P((DB *, char *, int, char *, size_t *, int *));
#endif /* _FFR_QUERY_CACHE */

#endif /* ! _DKIM_KEYS_H_ */
